WHO(1)

NAME
who - display who is on the system

SYNOPSIS
who [-HmqsTu] [am I] [file]

DESCRIPTION
The who utility displays information about currently logged in users. By default, this includes the login name, tty name, date and time of login and remote hostname if not local.

The options are as follows:

-H  Write column headings above the output.

-m  Show information about the terminal attached to standard input only.

-q  “Quick mode”: List the names and number of logged in users in columns. All other command line options are ignored.

-s  Show the name, line and time fields only. This is the default.

-T  Indicate whether each user is accepting messages. One of the following characters is written:

    +   User is accepting messages.
    -   User is not accepting messages.
    ?   An error occurred.

-u  Show idle time for each user in hours and minutes as hh:mm, ‘’. if the user has been idle less that a minute, and “old” if the user has been idle more than 24 hours.

am I
    Equivalent to -m.

By default, who gathers information from the file /var/run/utmp. An alternate file may be specified which is usually /var/log/wtmp (or /var/log/wtmp.[0-6] depending on site policy as wtmp can grow quite large and daily versions may or may not be kept around after compression by ac(8)). The wtmp file contains a record of every login, logout, crash, shutdown and date change since wtmp was last truncated or created.

If /var/log/wtmp is being used as the file, the user name may be empty or one of the special characters '|', '}' and '~'. Logouts produce an output line without any user name. For more information on the special characters, see utmp(5).

ENVIRONMENT
The COLUMNS, LANG, LC_ALL and LC_TIME environment variables affect the execution of who as described in environ(7).

FILES
/var/run/utmp
/var/log/wtmp
/var/log/wtmp.[0-6]

EXIT STATUS

SEE ALSO
last(1), users(1), w(1), utmp(5)

STANDARDS
The who utility conforms to p1003.1-2001.

HISTORY
A who command appeared in AT&T UNIX.